package main

import (
	"os"

	"go.wit.com/dev/alexflint/arg"
)

/*
	this parses the command line arguements
	this enables command line options from other packages like 'gui' and 'log'
*/

var argv args

type args struct {
	Demo string `arg:"positional"                   help:"this is just a demo"`
}

func (a args) Description() string {
	return `
This basicwindow example demonstrates multiple windows
`
}

func init() {
	pp := arg.MustParse(&argv)

	// for very new users or users unfamilar with the command line, this may help them
	if argv.Demo == "version" || argv.Demo == "help" || argv.Demo == "?" {
		pp.WriteHelp(os.Stdout)
		os.Exit(0)
	}
}

func (args) Version() string {
	return "basicwindow " + VERSION
}
